scp transfers stalls and aborts because of SACK packages with invalid state

Bug #1417157 reported by stvo on 2015-02-02
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Unassigned
Trusty
High
Unassigned
Utopic
High
Unassigned
Vivid
High
Unassigned

Bug Description

There is an existing bug report at red hat websites that exactly discribes what happens to my ubuntu server installation.

https://bugzilla.redhat.com/show_bug.cgi?id=161898

I can confirm that this bug is affecting ubuntu 14.04 servers as well as debian installations we are running in our university network. I can further confirm that all workarounds stated in the last post by Chris (2014-02-20 12:17:53 EST) work and he nailed pretty much all my findings on our servers. So please read the last post by Chris.

There is probably also a relation to this launchpad issue: Bug #1388786, but I'm not shure about that. Is there any way you can provide me with a linux kernel that solves this issue. I'm willing to test and report here.

Thanks in advance
StVO
---
AlsaDevices:
 total 0
 crw-rw---- 1 root audio 116, 1 Feb 2 13:26 seq
 crw-rw---- 1 root audio 116, 33 Feb 2 13:26 timer
AplayDevices: Error: [Errno 2] No such file or directory
ApportVersion: 2.14.1-0ubuntu3.6
Architecture: amd64
ArecordDevices: Error: [Errno 2] No such file or directory
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1:
CRDA: Error: [Errno 2] No such file or directory
DistroRelease: Ubuntu 14.04
HibernationDevice: RESUME=UUID=5fbc1974-f145-443b-adf9-708d9b8d8b21
InstallationDate: Installed on 2012-07-17 (930 days ago)
InstallationMedia: Ubuntu-Server 12.04 LTS "Precise Pangolin" - Release amd64 (20120424.1)
IwConfig:
 eth0 no wireless extensions.

 eth1 no wireless extensions.

 lo no wireless extensions.
MachineType: HP ProLiant DL380p Gen8
Package: linux (not installed)
PciMultimedia:

ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
ProcFB: 0 VESA VGA
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-45-generic root=UUID=4ccd0afd-59be-4acb-bdc6-34f2699db5b9 ro intremap=no_x2apic_optout reboot=bios
ProcVersionSignature: Ubuntu 3.13.0-45.74-generic 3.13.11-ckt13
RelatedPackageVersions:
 linux-restricted-modules-3.13.0-45-generic N/A
 linux-backports-modules-3.13.0-45-generic N/A
 linux-firmware 1.127.11
RfKill: Error: [Errno 2] No such file or directory
Tags: trusty
Uname: Linux 3.13.0-45-generic x86_64
UpgradeStatus: Upgraded to trusty on 2014-09-05 (150 days ago)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 02/25/2012
dmi.bios.vendor: HP
dmi.bios.version: P70
dmi.chassis.type: 23
dmi.chassis.vendor: HP
dmi.modalias: dmi:bvnHP:bvrP70:bd02/25/2012:svnHP:pnProLiantDL380pGen8:pvr:cvnHP:ct23:cvr:
dmi.product.name: ProLiant DL380p Gen8
dmi.sys.vendor: HP

stvo (st-vogelsang) on 2015-02-02
description: updated

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1417157

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.19 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.19-rc7-vivid/

tags: added: kernel-da-key
stvo (st-vogelsang) wrote : Lspci.txt

apport information

tags: added: apport-collected trusty
description: updated
stvo (st-vogelsang) wrote : Lsusb.txt

apport information

apport information

apport information

apport information

apport information

apport information

apport information

stvo (st-vogelsang) wrote :

I will test the updstream kernel tomorow, as soon as I have access to the server room.

stvo (st-vogelsang) wrote :

I tested http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.19-rc7-vivid/ an the state of the SACK packes is still invalid and thus those packets are filtered by the firewall which leads to stalling scp connection.

tags: added: kernel-bug-exists-upstream
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Joseph Salisbury (jsalisbury) wrote :

This issue appears to be an upstream bug, since you tested the latest upstream kernel. Would it be possible for you to open an upstream bug report[0]? That will allow the upstream Developers to examine the issue, and may provide a quicker resolution to the bug.

Please follow the instructions on the wiki page[0]. The first step is to email the appropriate mailing list. If no response is received, then a bug may be opened on bugzilla.kernel.org.

Once this bug is reported upstream, please add the tag: 'kernel-bug-reported-upstream'.

[0] https://wiki.ubuntu.com/Bugs/Upstream/kernel

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Triaged
Joseph Salisbury (jsalisbury) wrote :

Also, do you happen to know if there was a prior kernel release not affected by this bug?

tags: added: utopic vivid
Changed in linux (Ubuntu Utopic):
status: New → Triaged
Changed in linux (Ubuntu Trusty):
status: New → Triaged
Changed in linux (Ubuntu Vivid):
importance: Medium → High
Changed in linux (Ubuntu Utopic):
importance: Undecided → High
Changed in linux (Ubuntu Trusty):
importance: Undecided → High
stvo (st-vogelsang) wrote :

Well I found an old Kernel 3.8.2 which worked fine for us. Will see If I can find the time to file this bug report upstream.

Joseph Salisbury (jsalisbury) wrote :

Do you have the time and/or option to test a few test kernels? If so, we can perform a kernel bisect to find the commit that introduced this regression. It would require testing of about 10 - 12 kernels.

stvo (st-vogelsang) wrote :

well I certainly can do that in my spare time, but we will have to find spots when our machine is idle. So it could take a bit of a time, but If you are willing to test I will do it. It would be best to test all kernels at once starting by 3.8.2 I guess...

Rolf Leggewie (r0lf) wrote :

utopic has seen the end of its life and is no longer receiving any updates. Marking the utopic task for this ticket as "Won't Fix".

Changed in linux (Ubuntu Utopic):
status: Triaged → Won't Fix

This bug was nominated against a series that is no longer supported, ie vivid. The bug task representing the vivid nomination is being closed as Won't Fix.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu Vivid):
status: Triaged → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers